<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII:  File sorgente statistiche.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li><a href="annotated.html"><span>Classi</span></a></li>
      <li class="current"><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>Elenco&#160;dei&#160;file</span></a></li>
      <li><a href="globals.html"><span>Elementi&#160;dei&#160;file</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">statistiche.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="statistiche_8h.html">Vai alla documentazione di questo file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifndef STATISTICHE</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#define STATISTICHE</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="statistiche_8h.html#ab699c5418751c7e07d456b0b41d81340">    9</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="statistiche_8h.html#ab699c5418751c7e07d456b0b41d81340">PT_PER_ELM</a>      = 200;</div><div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="statistiche_8h.html#a93ac190ed55154d83c882373e6059bc0">   10</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="statistiche_8h.html#a93ac190ed55154d83c882373e6059bc0">PT_PER_SEC</a>      =  50;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="statistiche_8h.html#a2a1ee7f47e1e83dd72420064092dd4d1">   11</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="statistiche_8h.html#a2a1ee7f47e1e83dd72420064092dd4d1">PT_PER_DAN_CMP</a>  =  20;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="statistiche_8h.html#a8175e354373623d9ea06872b170622ff">   12</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="statistiche_8h.html#a8175e354373623d9ea06872b170622ff">PT_PER_DAN_SPD</a>  =  75;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="statistiche_8h.html#a080f3bba812871943624869e72b6eba9">   13</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="statistiche_8h.html#a080f3bba812871943624869e72b6eba9">PT_PER_DAN_OGG</a>  = 125;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="structstatistiche.html">   18</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structstatistiche.html">statistiche</a></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;{</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">   20</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">nemici_eliminati</a>;           </div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="structstatistiche.html#a73f487a7b9831e40ba32868eaca4771f">   21</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structstatistiche.html#a73f487a7b9831e40ba32868eaca4771f">oggetti_lanciati_pg</a>;        </div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="structstatistiche.html#aebf2b65461b1761e3ac9524c637ea41a">   22</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="structstatistiche.html#aebf2b65461b1761e3ac9524c637ea41a">durata_partita</a>;          </div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="structstatistiche.html#ab1357a9488fd9dace31dff1907c960d2">   23</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structstatistiche.html#ab1357a9488fd9dace31dff1907c960d2">danni_ricevuti_cmp</a>;         </div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="structstatistiche.html#a309caf93c87718649c3eebee8adc66b6">   24</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structstatistiche.html#a309caf93c87718649c3eebee8adc66b6">danni_ricevuti_spada</a>;       </div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">   25</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">punteggio</a>;                  </div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;};</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="structhighscore.html">   31</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structhighscore.html">highscore</a></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;{</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="structhighscore.html#a05f11acff810fdcd3e04c762b300f708">   33</a></span>&#160;    <span class="keywordtype">char</span> nome[4] = <span class="stringliteral">&quot;   &quot;</span>;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="structhighscore.html#a18b417e85925aa34816f7aad1b8770e8">   34</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="structhighscore.html#a18b417e85925aa34816f7aad1b8770e8">punteggio</a>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;};</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<a class="code" href="structstatistiche.html">statistiche</a> <a class="code" href="statistiche_8h.html#a823ed108e4cc32d5dd80d277b41e2bea">inizializza_statistiche</a>();</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keywordtype">double</span> <a class="code" href="statistiche_8h.html#acd6d49725b8460672aadc8f440f421b0">stats</a>(<a class="code" href="structstatistiche.html">statistiche</a> <a class="code" href="dati_8cc.html#aaf37f3a2ad02610bb8b0ed4b392e2bb2">stat</a>, <span class="keywordtype">int</span> i);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keywordtype">void</span> <a class="code" href="statistiche_8h.html#ad236a3603dc2bdc69df10f23c824c8ca">calcola_punteggio</a>(<a class="code" href="structstatistiche.html">statistiche</a> &amp;<a class="code" href="dati_8cc.html#aaf37f3a2ad02610bb8b0ed4b392e2bb2">stat</a>);</div><div class="ttc" id="statistiche_8h_html_ad236a3603dc2bdc69df10f23c824c8ca"><div class="ttname"><a href="statistiche_8h.html#ad236a3603dc2bdc69df10f23c824c8ca">calcola_punteggio</a></div><div class="ttdeci">void calcola_punteggio(statistiche &amp;stat)</div><div class="ttdoc">Funzione che calcola il punteggio finale in base a: numero di nemici eliminati, tempo di gioco e tipo...</div><div class="ttdef"><b>Definition:</b> statistiche.cc:36</div></div>
<div class="ttc" id="structstatistiche_html_a309caf93c87718649c3eebee8adc66b6"><div class="ttname"><a href="structstatistiche.html#a309caf93c87718649c3eebee8adc66b6">statistiche::danni_ricevuti_spada</a></div><div class="ttdeci">int danni_ricevuti_spada</div><div class="ttdoc">Danni ricevuti da armi ravvicinate. </div><div class="ttdef"><b>Definition:</b> statistiche.h:24</div></div>
<div class="ttc" id="dati_8cc_html_aaf37f3a2ad02610bb8b0ed4b392e2bb2"><div class="ttname"><a href="dati_8cc.html#aaf37f3a2ad02610bb8b0ed4b392e2bb2">stat</a></div><div class="ttdeci">statistiche stat</div><div class="ttdef"><b>Definition:</b> dati.cc:21</div></div>
<div class="ttc" id="statistiche_8h_html_a8175e354373623d9ea06872b170622ff"><div class="ttname"><a href="statistiche_8h.html#a8175e354373623d9ea06872b170622ff">PT_PER_DAN_SPD</a></div><div class="ttdeci">const int PT_PER_DAN_SPD</div><div class="ttdef"><b>Definition:</b> statistiche.h:12</div></div>
<div class="ttc" id="structstatistiche_html"><div class="ttname"><a href="structstatistiche.html">statistiche</a></div><div class="ttdoc">Struttura dati che immagazina tutte le statistiche della partita corrente. </div><div class="ttdef"><b>Definition:</b> statistiche.h:18</div></div>
<div class="ttc" id="statistiche_8h_html_a823ed108e4cc32d5dd80d277b41e2bea"><div class="ttname"><a href="statistiche_8h.html#a823ed108e4cc32d5dd80d277b41e2bea">inizializza_statistiche</a></div><div class="ttdeci">statistiche inizializza_statistiche()</div><div class="ttdoc">Funzione che inizializza a 0 tutti i contatori delle statistiche. </div><div class="ttdef"><b>Definition:</b> statistiche.cc:3</div></div>
<div class="ttc" id="structhighscore_html"><div class="ttname"><a href="structhighscore.html">highscore</a></div><div class="ttdoc">Struttura dati che associa un nome di 3 caratteri ad un punteggio numerico intero. </div><div class="ttdef"><b>Definition:</b> statistiche.h:31</div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="structstatistiche_html_aebf2b65461b1761e3ac9524c637ea41a"><div class="ttname"><a href="structstatistiche.html#aebf2b65461b1761e3ac9524c637ea41a">statistiche::durata_partita</a></div><div class="ttdeci">double durata_partita</div><div class="ttdoc">Durata in secondi della partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:22</div></div>
<div class="ttc" id="statistiche_8h_html_a080f3bba812871943624869e72b6eba9"><div class="ttname"><a href="statistiche_8h.html#a080f3bba812871943624869e72b6eba9">PT_PER_DAN_OGG</a></div><div class="ttdeci">const int PT_PER_DAN_OGG</div><div class="ttdef"><b>Definition:</b> statistiche.h:13</div></div>
<div class="ttc" id="statistiche_8h_html_a93ac190ed55154d83c882373e6059bc0"><div class="ttname"><a href="statistiche_8h.html#a93ac190ed55154d83c882373e6059bc0">PT_PER_SEC</a></div><div class="ttdeci">const int PT_PER_SEC</div><div class="ttdef"><b>Definition:</b> statistiche.h:10</div></div>
<div class="ttc" id="statistiche_8h_html_acd6d49725b8460672aadc8f440f421b0"><div class="ttname"><a href="statistiche_8h.html#acd6d49725b8460672aadc8f440f421b0">stats</a></div><div class="ttdeci">double stats(statistiche stat, int i)</div><div class="ttdoc">Funzione che ritorna la statistica richiesta in base al codice fornito come parametro di input...</div><div class="ttdef"><b>Definition:</b> statistiche.cc:14</div></div>
<div class="ttc" id="structhighscore_html_a18b417e85925aa34816f7aad1b8770e8"><div class="ttname"><a href="structhighscore.html#a18b417e85925aa34816f7aad1b8770e8">highscore::punteggio</a></div><div class="ttdeci">int punteggio</div><div class="ttdef"><b>Definition:</b> statistiche.h:34</div></div>
<div class="ttc" id="structstatistiche_html_a73f487a7b9831e40ba32868eaca4771f"><div class="ttname"><a href="structstatistiche.html#a73f487a7b9831e40ba32868eaca4771f">statistiche::oggetti_lanciati_pg</a></div><div class="ttdeci">int oggetti_lanciati_pg</div><div class="ttdoc">Numero di oggetti lanciati dal personaggio durante la partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:21</div></div>
<div class="ttc" id="statistiche_8h_html_a2a1ee7f47e1e83dd72420064092dd4d1"><div class="ttname"><a href="statistiche_8h.html#a2a1ee7f47e1e83dd72420064092dd4d1">PT_PER_DAN_CMP</a></div><div class="ttdeci">const int PT_PER_DAN_CMP</div><div class="ttdef"><b>Definition:</b> statistiche.h:11</div></div>
<div class="ttc" id="structstatistiche_html_a2de1de9b2da0b094a4188d2cdbe77d50"><div class="ttname"><a href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">statistiche::nemici_eliminati</a></div><div class="ttdeci">int nemici_eliminati</div><div class="ttdoc">Numero di nemici eliminati durante la partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:20</div></div>
<div class="ttc" id="statistiche_8h_html_ab699c5418751c7e07d456b0b41d81340"><div class="ttname"><a href="statistiche_8h.html#ab699c5418751c7e07d456b0b41d81340">PT_PER_ELM</a></div><div class="ttdeci">const int PT_PER_ELM</div><div class="ttdef"><b>Definition:</b> statistiche.h:9</div></div>
<div class="ttc" id="structstatistiche_html_ab1357a9488fd9dace31dff1907c960d2"><div class="ttname"><a href="structstatistiche.html#ab1357a9488fd9dace31dff1907c960d2">statistiche::danni_ricevuti_cmp</a></div><div class="ttdeci">int danni_ricevuti_cmp</div><div class="ttdoc">Danni ricevuti da compenetrazione con nemici. </div><div class="ttdef"><b>Definition:</b> statistiche.h:23</div></div>
<div class="ttc" id="structstatistiche_html_abff9b472410ee57cb919d991957b38a7"><div class="ttname"><a href="structstatistiche.html#abff9b472410ee57cb919d991957b38a7">statistiche::punteggio</a></div><div class="ttdeci">int punteggio</div><div class="ttdoc">Punteggio calcolato alla fine della partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:25</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
